shr.defineClass("shr.OccupantsList.list", shr.framework.List, {
    _this: null,
    isDormitroy:true,
    initalizeDOM: function () {
          shr.OccupantsList.list.superClass.initalizeDOM.call(this);
          _this = this
    },
    /**
	 * 将URL中的参数在表格查询时传递至服务端
	 */
	setGridCustomParam: function () {
		var params = $.extend(this.initData.custom_params, this.getGridCustomParam());
        if(!this.isDormitroy){
            params.dormitroy=""
        }
		$(this.gridId).setGridParam({
			custom_params: shr.toJSON(params)
		});
        this.isDormitroy=false
	},


  })
  